[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ReadWriteBarrier

Memory read/write barrier

## Declaration

Source position: systemh.inc line 557

`procedure ReadWriteBarrier;`

## Description

ReadWriteBarrier is a low-level instruction to force a read/write barrier in the CPU: both read (Loads) and write (stores) operations before and after the barrier are separate.

## See also

ReadBarrier |  | Memory Read Barrier
ReadDependencyBarrier |  | Memory Read Dependency Barrier
WriteBarrier |  | Memory write barrier

Documentation generated on: Feb 26 2014